import request from '@/utils/request'

// 查询客户信息管理列表
export function listCustomerManage(query) {
  return request({
    url: '/customerManage/customerManage/list',
    method: 'get',
    params: query
  })
}

// 查询客户信息管理详细
export function getCustomerManage(id) {
  return request({
    url: '/customerManage/customerManage/' + id,
    method: 'get'
  })
}

// 新增客户信息管理
export function addCustomerManage(data) {
  return request({
    url: '/customerManage/customerManage',
    method: 'post',
    data: data
  })
}

// 修改客户信息管理
export function updateCustomerManage(data) {
  return request({
    url: '/customerManage/customerManage',
    method: 'put',
    data: data
  })
}

// 删除客户信息管理
export function delCustomerManage(id) {
  return request({
    url: '/customerManage/customerManage/' + id,
    method: 'delete'
  })
}

// 获取用户订单列表
export function getOrderList(params) {
	return request({
	  url: '/customerManage/customerManage/orderList',
	  method: 'get',
	  params:params
	})
}

// 获取用户积分列表
export function getIntegralList(params) {
	return request({
	  url: '/customerIntegralRecord/customerIntegralRecord/list',
	  method: 'get',
	  params:params
	})
}

// 重置密码
export function resetPassword(data) {
	return request({
	  url: '/customerManage/customerManage/resetPassword',
	  method: 'put',
	  data: data
	})
  }
